# dkim_getsignature()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_SIGINFO *dkim_getsignature(
    	DKIM *dkim
    );

Retrieve the signature ultimately used to verify a message.

DESCRIPTION

Called When | `dkim_getsignature()` is called after `dkim_eom()` to get a handle referring to the signature which will be used to yield a final result to the caller.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_verify`.

RETURN VALUES

Value | Description
--- | ---

`NULL`

- The function was called before `dkim_eom`.
- The function was called with a handle that was not opened for verification.
- The message represented by `dkim` was not signed.

otherwise | A handle referring to the first signature found to be valid that was not flagged to be ignored by the caller, or if none were valid, the first signature not flagged to be ignored by the caller.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.